<h4 class="text-center">Register</h4>
<div class="form">
<form [formGroup]="this.registerForm" (ngSubmit)="this.register()">
  
  <div class="form-group">
    <input type="text" class="form-control" id="name-input" placeholder="Username" formControlName="name" autocomplete="on">
  </div>

  <!-- <div *ngIf="this.registerForm.controls.name.invalid && this.registerForm.controls.name.dirty" class="alert alert-danger">
    <div *ngIf="this.registerForm.controls.name.errors.required">
      Username is required.
    </div>

    <div *ngIf="this.registerForm.controls.name.errors.minlength">
      Username must be at least 4 characters long.
    </div>
  </div> -->

  <div class="form-group">
    <input type="email" class="form-control" id="email-input" placeholder="Email" formControlName="email" autocomplete="on">
  
    <!-- <div *ngIf="this.registerForm.controls.email.invalid && this.registerForm.controls.email.dirty" class="alert alert-danger">
      <div *ngIf="this.registerForm.controls.email.errors.required">
        Email is required.
      </div>
  
      <div *ngIf="this.registerForm.controls.email.errors.email">
        Email must be a valid e-mail address.
      </div>
      </div> -->
  </div>

  <div class="form-group">
    <input type="password" class="form-control" id="password-input" placeholder="Password" formControlName="password" autocomplete="on">
  </div>

  <!-- <div *ngIf="this.registerForm.controls.password.invalid && this.registerForm.controls.password.dirty" class="alert alert-danger">
    <div *ngIf="this.registerForm.controls.password.errors.required">
      Password is required.
    </div>

    <div *ngIf="this.registerForm.controls.password.errors.pattern">
      The password must be at least 6 symbols long and must have at least one lower case letter, one upper case letter,
      one number and one special symbol.
    </div>
  </div> -->

  <button type="submit" class="btn btn-primary" [disabled]="this.registerForm.invalid">Register !</button>
</form>
</div>